group "Quotation.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 15 elements
Defined: | globally in fpml-asset-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 3 locations

Content Model Diagram

Complex Content Model
value?, measureType?, quoteUnits?, side?, currency?, currencyType?, timing?, (businessCenter? | exchangeId?)?, informationSource*, pricingModel?, time?, valuationDate?, expiryTime?, cashflowType?

Content Model Elements (15):

  businessCenter (defined in QuoteLocation.model group),
  cashflowType (defined in QuotationCharacteristics.model group),
  currency (defined in QuotationCharacteristics.model group),
  currencyType,
  exchangeId (defined in QuoteLocation.model group),
  expiryTime (defined in QuotationCharacteristics.model group),
  informationSource (defined in QuotationCharacteristics.model group),
  measureType,
  pricingModel,
  quoteUnits,
  side (defined in QuotationCharacteristics.model group),
  time (defined in QuotationCharacteristics.model group),
  timing,
  valuationDate (defined in QuotationCharacteristics.model group),
  value (defined in Quotation.model group)

Known Usage Locations

- In definitions of global complexTypes (3):
  BasicQuotation, PricingStructurePoint, Quotation

Annotation
Some kind of numerical measure about an asset, eg. its price or NPV, together with characteristics of that measure.
XML Source (w/o annotations (3); see within schema source)

<xsd:group name="Quotation.model"> <xsd:sequence> <xsd:element minOccurs="0" name="value" type="xsd:decimal"/> <xsd:group ref="QuotationCharacteristics.model"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 1/15)
value

  Type: | xsd:decimal, predefined, simple content

  The value of the the quotation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="value" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.